Bug 36683 - up2date won't update after update.
Summary: up2date won't update after update.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-19 20:00 UTC by Kirk Morrow
Modified: 2015-01-07 23:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 20:45:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kirk Morrow 2001-04-19 20:00:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2 i686)


After upgrading from a Wolverine install to Seawolf, whenever I try to use
up2date I get:
ERROR: Invalid Architecture and OS release combination
INFO: N/A

Reproducible: Always
Steps to Reproduce:
1. On a wolverine install run up2date on all packages.
2. Using the install discs, upgrage to RH7.1 (Seawolf)
3. Rebuild the RPM database (rpm --rebuilddb)
4. Run rhn_register and register new install.
5. Run up2date.
	

Actual Results:  No update occurs and I get message:

ERROR: Invalid Architecture and OS release combination
INFO: N/A

Expected Results:  Either packages should have updated or I should have
been told the machine is already fully updated.

Packages installed at time of failure:
up2date-gnome-2.5.2-1
up2date-2.5.2-1
rhn_register-gnome-1.3.1-1
rhn_register-1.3.1-1

Comment 1 Jay Turner 2001-04-19 20:05:53 UTC
I would check and make sure that both rhn_register and up2date are talking to
live servers.  So, run 'rhn_register --config' and make sure that serverURL is
set to 'https://www.rhns.redhat.com/XMLRPC' and run 'up2date --config --nox' and
make sure that serverURL is set to 'https://www.rhns.redhat.com/XMLRPC'

Several of the betas went out with configs pointing to beta-tester machines and
the such, and if you are still talking to those, they will give you that error,
as they know nothing of 7.1.

Comment 2 Kirk Morrow 2001-04-20 16:22:17 UTC
rhn_register was finding the correct server, but up2date was still looking at
the beta server.  I changed the servers (http and https) and it works now.

How is it that rhn_register knew what server to look for and up2date did not? 
Should the installer look for this situation and fix this automatically when
upgrading from a beta to a release version?


Note You need to log in before you can comment on or make changes to this bug.